Delete preference records
Batch delete consent preference records by anchor identifier. This endpoint deletes preference records from the Preference Store only and does not trigger DSR workflows or delete data in downstream systems.
Rate Limits
- 100 requests per organization per minute (default).
- This limit can be increased upon request.
Rate Limiting Headers
X-RateLimit-Limit: The maximum number of requests allowed in the current window.X-RateLimit-Remaining: The number of requests remaining in the current window.X-RateLimit-Reset: The time at which the current rate limit window resets in ISO 8601 format.Retry-After: (on 429) The number of seconds to wait before making a new request.
Deleting by Transcend ID
- Every preference record has a system-managed
transcendidentifier — a stable UUID automatically assigned by the system. - Use
{ "name": "transcend", "value": "<uuid>" }as theanchorIdentifierto delete a record by Transcend ID.
Transcend_API_Key Modify User Stored PreferencesAuthorizationBearer <token>authorization: Bearer <>
Scope: Modify User Stored Preferences
partition*stringThe ID of the partition in the Preference Store.
content-type*stringSpecify content-type: application/json for a JSON response from the Transcend API.
application-jsonapplication/json- body
records*array<>List of delete operations to remove whole preference records.
items <= 10The response payload contains the results of the batch delete operation. Each record in the records array corresponds to an input record and indicates whether the delete operation succeeded or failed, along with any relevant error messages. Note: When the response includes failures, clients can only retry the failed items from the original request after addressing the reported errors. When the response includes errors, clients should retry the entire batch after addressing the reported errors.
application/json- response
records?array<>failures?array<>errors?array<string>curl -X POST 'https://multi-tenant.sombra.transcend.io/v1/preferences/string/delete' \ -H 'authorization: string' \ -H 'content-type: string' \ -H 'Content-Type: application/json' \ -d '{ "records": [ { "anchorIdentifier": { "name": "email", "value": "xyz@foo.com" }, "timestamp": "2025-11-26T17:33:13.515Z" } ]}'{ "records": [ { "success": true } ], "failures": [], "errors": []}